Subject: Re: [0/3] Distributed storage. Mirror algo extension for automatic recovery.

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 27 Oct 2007 14:34:59 +0400

Hi Andrew.

On Fri, Oct 26, 2007 at 01:55:38PM -0700, Andrew Morton ([email-masked]) wrote:
> > I'm pleased to announce sixth release of the distributed storage
> > subsystem, which allows to form a storage on top of remote and local
> > nodes, which in turn can be exported to another storage as a node to
> > form tree-like storages.
> 
> I went back and re-read last month's discussion and I'm not seeing any
> reason why we shouldn't start thinking about merging this.
> 
> How close is it to that stage?  A peek at your development blog indicates
> that things are still changing at a moderate rate?

I completed storage layer development itself, the only remaining todo item
is to implement new redundancy algorithm, but I did not see major demand
on that, so it will stay for now with low priority.

I will use DST as a transport layer for distributed filesystem, and
probably that will require additional features, I have no clean design so
far, but right now I have nothing in the pipe to commit to DST.

-- 
	Evgeniy Polyakov